import { IDebugger } from 'debug';
import { LogType } from '../definitions/log';
import { Options } from '../definitions/options';
/**
 * Get a logger for a particular namespace, or return a custom log function
 * @param {string} namespace - the namespace to log for
 * @param {Options} [options] - optional options which may contain custom log function
 * @returns {Log} the log function
 */
declare const getLogger: (namespace: string, options?: Options) => IDebugger | LogType;
export { getLogger };
